Subject: Re: bug#23766: 25.0.95; crashes on Mac OS X 10.6.8. Snow Leopard

From: Peter Dyballa <[email-masked]>
Date: Tue, 14 Jun 2016 07:40:15 +0200

Am 14.06.2016 um 04:37 schrieb Eli Zaretskii:

> Sounds like a different problem, and it's hard to say anything without
> information about the data involved in this crash.

Both went away when I left out Cairo…

> Please compile with debugging and show more data about both problems.

I was already using 'CFLAGS=-g -H -pipe -fPIC -fno-common -O0' with the (almost) recommended C compiler

	i686-apple-darwin10-gcc-apple-4.2.1 (GCC) 4.2.1 (Apple Inc. build 5666) (dot 3) (MacPorts apple-gcc42 5666.3_15)
	Copyright (C) 2007 Free Software Foundation, Inc.

(Almost, because it received some patches after Apple released the latest Xcode for Snow Leopard, Mac OS X 10.6.x.) This compiler offers these switches related to debugging. Which of them should I add? Do you mean just -ggdb?

  -g                          		Generate debug information in default format
  -gcoff                      		Generate debug information in COFF format
  -gdwarf-2                   		Generate debug information in DWARF v2 format
  -ggdb                       		Generate debug information in default extended format
  -gstabs                     		Generate debug information in STABS format
  -gstabs+                    		Generate debug information in extended STABS format
  -gvms                       		Generate debug information in VMS format
  -gxcoff                     		Generate debug information in XCOFF format
  -gxcoff+                    		Generate debug information in extended XCOFF format

  -feliminate-dwarf2-dups     		Perform DWARF2 duplicate elimination
  -feliminate-unused-debug-symbols	Perform unused type elimination in debug info
  -feliminate-unused-debug-types	Perform unused type elimination in debug info
  -femit-class-debug-always		Do not suppress C++ class debug information.
  -mfix-and-continue			Generate code suitable for fast turn around debugging

--
Greetings

  Pete

Our enemies are innovative and resourceful, and so are we. They never stop thinking about new ways to harm our country and our people, and neither do we.
				– Georges W. Bush